class SchoolController < ApplicationController
  
  before_filter :require_admin, :only => :upload_logo
  
  def upload
    uploaded_io = params[:logo]
    school_id = 0
    schools = School.where("name = ?", params[:school])
    
    schools.each do |s|
      school_id = s.id
    end
    
    unless uploaded_io.nil? 
      File.open(Rails.root.join('public', 'images', 'school', school_id.to_s+'.png'), 'wb') do |file|
        file.write(uploaded_io.read)
      end
      
      s1 = School.find(school_id)
      s1.logo_link  = '/images/school/'+school_id.to_s+'.png'
      s1.save
      
      
    end    
  end  
  
  def upload_logo

  end

  #获取制定学校开设的课程数
  def course_count school_id
     School.find(school_id).courses.count
  end
  
  
  def index
    
  end
  
  def get_options
    @school = School.where("province = ?", params[:province])
    p = params[:province]
    ##@school = School.all
    options = ""
    
    @school.each do |s|
      #options << "<option value=#{s.id}>#{s.name}</option>"
      options << "<li style = 'width: 33%; float: left'><a id=#{s.id} onclick='test(this.id, this.text)'>#{s.name}</a></li>"
    end
    
    
    render :text => options
    
  end
  
  def get_schoollist
     @school = School.where("province = ?", params[:province])
     
     options = ""
     @school.each do |s|
       options << "<li style = 'width: 33%; float: left'><a id=#{s.id} onclick='test(this.id)'>#{s.name}</a></li>"
     end
     
     render :text => options
  end
  
  def search_school
    @school = School.where("province = ? AND name LIKE '%"+params[:key_word]+"%'", params[:province]);
    
    options = ""
    @school.each do |s|
      options << "<li style = 'width: 33%; float: left'><a id=#{s.id} onclick='test(this.id)'>#{s.name}</a></li>"
    end
     
     render :text => options    
  end
end
